package tcc.haruki.elgamal.util;

import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;

public abstract class ICriptografiaSimetrica {
	protected byte[] chaveSimetrica;
	
	public void setChaveSimetrica(byte[] m) {
		this.chaveSimetrica = m;
	}
	
	public abstract byte[] encrypt(byte[] m) throws IllegalBlockSizeException, BadPaddingException, NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException;
	public abstract byte[] decrypt(byte[] m) throws IllegalBlockSizeException, BadPaddingException, NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException;
}
